cURL
curl --request POST \ --url https://api-eu.cybedefend.com/organization/{organizationId}/project/report/batch/{reportType}/{format} \ --header 'Content-Type: application/json' \ --data ' { "projectIds": [ "550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8" ], "detailed": true } '
{ "timestamp": "2025-02-18T12:31:18.491Z", "service": "AiService", "method": "startConversation", "message": "Invalid parameters provided", "code": 400 }
Generates a consolidated OWASP Top 10 or CWE Top 25 report for a custom list of projects
Type of report to generate
owasp
cwe
Output format
json
html
pdf
List of project IDs to include in the report
[ "550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"]
Generate detailed report with full vulnerability descriptions
true
Batch report generated successfully